package staffrepository

import staffdomain "legalgo-BE-go/internal/domain/staff"

func (a *accessor) GetStaffs() ([]staffdomain.StaffProfile, error) {
	var staffs []staffdomain.StaffProfile

	if err := a.db.Table("staffs").Find(&staffs).Error; err != nil {
		return staffs, err
	}

	return staffs, nil
}
